from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XDictionaryEntry(XInterface, Protocol):
    def getDictionaryWord(self) -> str: ...
    def isNegative(self) -> bool: ...
    def getReplacementText(self) -> str: ...
